Last updated

API / geotoolkit / map / sources / loaders / GeoTile / GeoTile

Class: GeoTile

loaders.GeoTile.GeoTile

GeoTile loader

Hierarchy

Table of contents

Constructors
Methods

Contents

Constructors

new GeoTile(options)

Protected new GeoTile(options?)

Creates loader

Parameters

Name Type Description
Optional optionsOptionsoptions

Inherited from

AbstractLoader.constructor

Methods

clone

clone(): AbstractLoader

All subclasses should override copyConstructor or provide custom implementation for this method

Returns

AbstractLoader

clone

Inherited from

AbstractLoader.clone


cloneQueryParameters

cloneQueryParameters(loader): GeoTile

Copies query parameters from another loader

Parameters

Name Type Description
loaderAbstractLoaderloader to clone parameters

Returns

GeoTile

this

Inherited from

AbstractLoader.cloneQueryParameters


copyConstructor

Protected copyConstructor(src, deepCopy?): GeoTile

Copy constructor function.
Function used as part of the cloning mechanism.
Implementations should copy the given instance state to this instance.

Parameters

Name Type Description
srcAbstractLoaderSource to copy from
Optional deepCopybooleandeep copy

Returns

GeoTile

this

Inherited from

AbstractLoader.copyConstructor


getClassName

getClassName(): string

Returns

string

Inherited from

AbstractLoader.getClassName


getConnector

getConnector(): AbstractConnector<any>

Returns connector

Returns

AbstractConnector<any>

Inherited from

AbstractLoader.getConnector


getCopyright

getCopyright(): string

Returns copyright information.

Returns

string

Inherited from

AbstractLoader.getCopyright


getRequestOptions

Protected getRequestOptions(): SendOptions

Returns server settings request options

Returns

SendOptions

Inherited from

AbstractLoader.getRequestOptions


getSettingsData

Abstract getSettingsData(data, callback): void

Loads data that needed for GeoTile

Parameters

Name Type Description
datastring | JSONObjectdata loaded from server
callbackSettingsDataCallbacksettings callback

Returns

void


getSettingsUrl

Abstract getSettingsUrl(): string

Returns server settings request url

Returns

string

request server data request

Inherited from

AbstractLoader.getSettingsUrl


loaded

Protected loaded(callback): void

Resolves loading promise asynchronically

Parameters

Name Type Description
callback(loader: AbstractLoader) => voidresolving callback

Returns

void

Inherited from

AbstractLoader.loaded


parse

parse(data, onload): void

Parses server data response

Parameters

Name Type Description
datastring | JSONObjectdata received from the server
onload(loader: AbstractLoader) => voidfunction to be called when data is loaded

Returns

void

Overrides

AbstractLoader.parse


setQueryParameter

setQueryParameter(param, value): GeoTile

Sets the query parameter to add to the server settings request

Parameters

Name Type Description
paramstringparameter name
valuestring | number | booleanparameter value

Returns

GeoTile

this

Inherited from

AbstractLoader.setQueryParameter


getClassName

Static getClassName(): string

Returns

string

Inherited from

AbstractLoader.getClassName